Index: protocols/yahoo/libyahoo2.c
===================================================================
--- protocols/yahoo/libyahoo2.c	(revision 56699f009a608ecff3a247a08b3d0105a5e17153)
+++ protocols/yahoo/libyahoo2.c	(revision c36f73bd317dd55d7e70275a6425faa4be7bfd8c)
@@ -3545,24 +3613,24 @@
 	}
 
-	if(changed)
-		YAHOO_CALLBACK(ext_yahoo_got_buddies)(yd->client_id, yd->buddies);
+	if (changed)
+		YAHOO_CALLBACK(ext_yahoo_got_buddies) (yd->client_id, yd->buddies);
 }
 
 static void yahoo_process_search_connection(struct yahoo_input_data *yid, int over)
 {
-	struct yahoo_found_contact *yct=NULL;
+	struct yahoo_found_contact *yct = NULL;
 	char *p = (char *)yid->rxqueue, *np, *cp;
 	int k, n;
-	int start=0, found=0, total=0;
-	YList *contacts=NULL;
+	int start = 0, found=0, total=0;
+	YList *contacts = NULL;
 	struct yahoo_input_data *pyid = find_input_by_id_and_type(yid->yd->client_id, YAHOO_CONNECTION_PAGER);
 
-	if(!over || !pyid)
-		return;
-
-	if(p && (p=strstr(p, "\r\n\r\n"))) {
+	if (!over || !pyid)
+		return;
+
+	if (p && (p = strstr(p, "\r\n\r\n"))) {
 		p += 4;
 
-		for(k = 0; (p = strchr(p, 4)) && (k < 4); k++) {
+		for (k = 0; (p = strchr(p, 4)) && (k < 4); k++) {
 			p++;
 			n = atoi(p);
@@ -3574,13 +3642,13 @@
 		}
 
-		if(p)
+		if (p)
 			p++;
 
-		k=0;
-		while(p && *p) {
+		k = 0;
+		while (p && *p) {
 			cp = p;
 			np = strchr(p, 4);
 
-			if(!np)
+			if (!np)
 				break;
 			*np = 0;
@@ -3589,5 +3657,5 @@
 			switch(k++) {
 				case 1:
-					if(strlen(cp) > 2 && y_list_length(contacts) < total) {
+					if (strlen(cp) > 2 && y_list_length(contacts) < total) {
 						yct = y_new0(struct yahoo_found_contact, 1);
 						contacts = y_list_append(contacts, yct);
@@ -3607,5 +3675,5 @@
 					break;
 				case 5: 
-					if(strcmp(cp, "5") != 0)
+					if (strcmp(cp, "5") != 0)
 						yct->location = cp;
 					k = 0;
@@ -3615,7 +3683,7 @@
 	}
 
-	YAHOO_CALLBACK(ext_yahoo_got_search_result)(yid->yd->client_id, found, start, total, contacts);
-
-	while(contacts) {
+	YAHOO_CALLBACK(ext_yahoo_got_search_result) (yid->yd->client_id, found, start, total, contacts);
+
+	while (contacts) {
 		YList *node = contacts;
 		contacts = y_list_remove_link(contacts, node);
@@ -3631,12 +3699,12 @@
 	struct yahoo_data *yd = yid->yd;
 	char conn_type[100];
-	char *data=NULL;
-	char *packet=NULL;
+	char *data = NULL;
+	char *packet = NULL;
 	unsigned char magic_nr[] = {1, 0, 0, 0, 1};
-	unsigned header_len=0;
-	unsigned int len=0;
-	unsigned int pos=0;
-
-	if(error || fd <= 0) {
+	unsigned header_len = 0;
+	unsigned int len = 0;
+	unsigned int pos = 0;
+
+	if (error || fd <= 0) {
 		FREE(yid);
 		return;
@@ -3724,5 +3792,5 @@
 	FREE(data);
 
-	yid->read_tag=YAHOO_CALLBACK(ext_yahoo_add_handler)(yid->yd->client_id, yid->fd, YAHOO_INPUT_READ, yid);
+	yid->read_tag = YAHOO_CALLBACK(ext_yahoo_add_handler) (yid->yd->client_id, yid->fd, YAHOO_INPUT_READ, yid);
 }
 
@@ -3749,5 +3817,5 @@
 
 	LOG(("Connecting to: %s:%d", wcm->server, wcm->port));
-	YAHOO_CALLBACK(ext_yahoo_connect_async)(y->yd->client_id, wcm->server, wcm->port,
+	YAHOO_CALLBACK(ext_yahoo_connect_async) (y->yd->client_id, wcm->server, wcm->port,
 			_yahoo_webcam_connected, yid);
 
@@ -3759,5 +3827,5 @@
 	struct yahoo_server_settings *yss;
 
-	if(over)
+	if (over)
 		return;
 
@@ -3783,5 +3851,5 @@
 	int fd = yid->fd;
 
-	if(over)
+	if (over)
 		return;
 
@@ -3808,5 +3876,5 @@
 
 	LOG(("read callback: id=%d fd=%d data=%p", id, fd, data));
-	if(!yid)
+	if (!yid)
 		return -2;
 
@@ -3814,7 +3882,7 @@
 	do {
 		len = read(fd, buf, sizeof(buf));
-	} while(len == -1 && errno == EINTR);
-
-	if(len == -1 && (errno == EAGAIN||errno == EINTR))	/* we'll try again later */
+	} while (len == -1 && errno == EINTR);
+
+	if (len == -1 && (errno == EAGAIN||errno == EINTR))	/* we'll try again later */
 		return 1;
 
@@ -3823,6 +3891,6 @@
 		DEBUG_MSG(("len == %d (<= 0)", len));
 
-		if(yid->type == YAHOO_CONNECTION_PAGER) {
-			YAHOO_CALLBACK(ext_yahoo_error)(yid->yd->client_id, "Connection closed by server", 1, E_CONNECTION);
+		if (yid->type == YAHOO_CONNECTION_PAGER) {
+			YAHOO_CALLBACK(ext_yahoo_error) (yid->yd->client_id, "Connection closed by server", 1, E_CONNECTION);
 		}
 
@@ -3831,8 +3899,8 @@
 
 		/* no need to return an error, because we've already fixed it */
-		if(len == 0)
+		if (len == 0)
 			return 1;
 
-		errno=e;
+		errno = e;
 		LOG(("read error: %s", strerror(errno)));
 		return -1;
@@ -3855,5 +3923,5 @@
 	yd = y_new0(struct yahoo_data, 1);
 
-	if(!yd)
+	if (!yd)
 		return 0;
 
@@ -3894,16 +3962,16 @@
 	struct yahoo_server_settings *yss = yd->server_settings;
 
-	if(error) {
-		if(fallback_ports[ccd->i]) {
+	if (error) {
+		if (fallback_ports[ccd->i]) {
 			int tag;
 			yss->pager_port = fallback_ports[ccd->i++];
-			tag = YAHOO_CALLBACK(ext_yahoo_connect_async)(yd->client_id, yss->pager_host,
+			tag = YAHOO_CALLBACK(ext_yahoo_connect_async) (yd->client_id, yss->pager_host,
 					yss->pager_port, yahoo_connected, ccd);
 
-			if(tag > 0)
-				ccd->tag=tag;
+			if (tag > 0)
+				ccd->tag = tag;
 		} else {
 			FREE(ccd);
-			YAHOO_CALLBACK(ext_yahoo_login_response)(yd->client_id, YAHOO_LOGIN_SOCK, NULL);
+			YAHOO_CALLBACK(ext_yahoo_login_response) (yd->client_id, YAHOO_LOGIN_SOCK, NULL);
 		}
 		return;
@@ -3913,5 +3981,5 @@
 
 	/* fd < 0 && error == 0 means connect was cancelled */
-	if(fd < 0)
+	if (fd < 0)
 		return;
 
@@ -3930,5 +3998,5 @@
 	yahoo_packet_free(pkt);
 
-	yid->read_tag=YAHOO_CALLBACK(ext_yahoo_add_handler)(yid->yd->client_id, yid->fd, YAHOO_INPUT_READ, yid);
+	yid->read_tag = YAHOO_CALLBACK(ext_yahoo_add_handler) (yid->yd->client_id, yid->fd, YAHOO_INPUT_READ, yid);
 }
 
@@ -3940,5 +4008,5 @@
 	int tag;
 
-	if(!yd)
+	if (!yd)
 		return;
 
@@ -3949,5 +4017,5 @@
 	ccd = y_new0(struct connect_callback_data, 1);
 	ccd->yd = yd;
-	tag = YAHOO_CALLBACK(ext_yahoo_connect_async)(yd->client_id, yss->pager_host, yss->pager_port, 
+	tag = YAHOO_CALLBACK(ext_yahoo_connect_async) (yd->client_id, yss->pager_host, yss->pager_port, 
 			yahoo_connected, ccd);
 
@@ -3956,8 +4024,8 @@
 	 * so ccd will have been freed
 	 */
-	if(tag > 0)
+	if (tag > 0)
 		ccd->tag = tag;
-	else if(tag < 0)
-		YAHOO_CALLBACK(ext_yahoo_login_response)(yd->client_id, YAHOO_LOGIN_SOCK, NULL);
+	else if (tag < 0)
+		YAHOO_CALLBACK(ext_yahoo_login_response) (yd->client_id, YAHOO_LOGIN_SOCK, NULL);
 }
 
@@ -3966,5 +4034,5 @@
 {
 	struct yahoo_input_data *yid = find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
-	if(!yid)
+	if (!yid)
 		return 0;
 	else
@@ -3979,5 +4047,5 @@
 	char pic_str[10];
 
-	if(!yid)
+	if (!yid)
 		return;
 
@@ -3988,5 +4056,5 @@
 	snprintf(pic_str, sizeof(pic_str), "%d", picture);
 	
-	if(from && strcmp(from, yd->user))
+	if (from && strcmp(from, yd->user))
 		yahoo_packet_hash(pkt, 0, yd->user);
 	yahoo_packet_hash(pkt, 1, from?from:yd->user);
@@ -3994,5 +4062,5 @@
 	yahoo_packet_hash(pkt, 14, what);
 
-	if(utf8)
+	if (utf8)
 		yahoo_packet_hash(pkt, 97, "1");
 
@@ -4012,5 +4080,5 @@
 	struct yahoo_data *yd;
 	struct yahoo_packet *pkt = NULL;
-	if(!yid)
+	if (!yid)
 		return;
 
@@ -4037,5 +4105,5 @@
 	char s[4];
 
-	if(!yid)
+	if (!yid)
 		return;
 
@@ -4062,5 +4130,5 @@
 	yahoo_packet_free(pkt);
 
-	if(old_status == YAHOO_STATUS_INVISIBLE) {
+	if (old_status == YAHOO_STATUS_INVISIBLE) {
 		pkt = yahoo_packet_new(YAHOO_SERVICE_Y6_VISIBILITY, YAHOO_STATUS_AVAILABLE, 0);
 		yahoo_packet_hash(pkt, 13, "1");
@@ -4076,5 +4144,5 @@
 	struct yahoo_packet *pkt = NULL;
 
-	if(!yid)
+	if (!yid)
 		return;
 	yd = yid->yd;
@@ -4082,5 +4150,5 @@
 	LOG(("yahoo_logoff: current status: %d", yd->current_status));
 
-	if(yd->current_status != -1 && 0) {
+	if (yd->current_status != -1 && 0) {
 		/* Meh. Don't send this. The event handlers are not going to
 		   get to do this so it'll just leak memory. And the TCP
@@ -4097,5 +4165,5 @@
 	do {
 		yahoo_input_close(yid);
-	} while((yid = find_input_by_id(id)));
+	} while ((yid = find_input_by_id(id)));
 }
 
@@ -4106,5 +4174,5 @@
 	struct yahoo_packet *pkt = NULL;
 
-	if(!yid)
+	if (!yid)
 		return;
 	yd = yid->yd;
@@ -4121,5 +4189,5 @@
 {
 	struct yahoo_input_data *yid = data;
-	if(fd <= 0) {
+	if (fd <= 0) {
 		inputs = y_list_remove(inputs, yid);
 		FREE(yid);
@@ -4128,5 +4196,5 @@
 
 	yid->fd = fd;
-	yid->read_tag=YAHOO_CALLBACK(ext_yahoo_add_handler)(yid->yd->client_id, fd, YAHOO_INPUT_READ, yid);
+	yid->read_tag = YAHOO_CALLBACK(ext_yahoo_add_handler) (yid->yd->client_id, fd, YAHOO_INPUT_READ, yid);
 }
 
@@ -4138,5 +4206,5 @@
 	char buff[1024];
 
-	if(!yd)
+	if (!yd)
 		return;
 
@@ -4156,5 +4224,5 @@
 }
 
-void yahoo_set_yab(int id, struct yab * yab)
+void yahoo_set_yab(int id, struct yab *yab)
 {
 	struct yahoo_data *yd = find_conn_by_id(id);
@@ -4165,5 +4233,5 @@
 	int size = sizeof(url)-1;
 
-	if(!yd)
+	if (!yd)
 		return;
 
@@ -4174,5 +4242,5 @@
 	strncpy(url, "http://insider.msg.yahoo.com/ycontent/?addab2=0", size);
 
-	if(yab->dbid) {
+	if (yab->dbid) {
 		/* change existing yab */
 		char tmp[32];
@@ -4182,5 +4250,5 @@
 	}
 
-	if(yab->fname) {
+	if (yab->fname) {
 		strncat(url, "&fn=", size - strlen(url));
 		temp = yahoo_urlencode(yab->fname);
@@ -4188,5 +4256,5 @@
 		free(temp);
 	}
-	if(yab->lname) {
+	if (yab->lname) {
 		strncat(url, "&ln=", size - strlen(url));
 		temp = yahoo_urlencode(yab->lname);
@@ -4198,5 +4266,5 @@
 	strncat(url, temp, size - strlen(url));
 	free(temp);
-	if(yab->nname) {
+	if (yab->nname) {
 		strncat(url, "&nn=", size - strlen(url));
 		temp = yahoo_urlencode(yab->nname);
@@ -4204,5 +4272,5 @@
 		free(temp);
 	}
-	if(yab->email) {
+	if (yab->email) {
 		strncat(url, "&e=", size - strlen(url));
 		temp = yahoo_urlencode(yab->email);
@@ -4210,5 +4278,5 @@
 		free(temp);
 	}
-	if(yab->hphone) {
+	if (yab->hphone) {
 		strncat(url, "&hp=", size - strlen(url));
 		temp = yahoo_urlencode(yab->hphone);
@@ -4216,5 +4284,5 @@
 		free(temp);
 	}
-	if(yab->wphone) {
+	if (yab->wphone) {
 		strncat(url, "&wp=", size - strlen(url));
 		temp = yahoo_urlencode(yab->wphone);
@@ -4222,5 +4290,5 @@
 		free(temp);
 	}
-	if(yab->mphone) {
+	if (yab->mphone) {
 		strncat(url, "&mp=", size - strlen(url));
 		temp = yahoo_urlencode(yab->mphone);
@@ -4239,5 +4307,5 @@
 }
 
-void yahoo_set_identity_status(int id, const char * identity, int active)
+void yahoo_set_identity_status(int id, const char *identity, int active)
 {
 	struct yahoo_input_data *yid = find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
@@ -4245,5 +4313,5 @@
 	struct yahoo_packet *pkt = NULL;
 
-	if(!yid)
+	if (!yid)
 		return;
 	yd = yid->yd;
@@ -4264,5 +4332,5 @@
 	struct yahoo_packet *pkt = NULL;
 
-	if(!yid)
+	if (!yid)
 		return;
 	yd = yid->yd;
@@ -4279,6 +4347,6 @@
 	struct yahoo_input_data *yid = find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
 	struct yahoo_data *yd;
-	struct yahoo_packet *pkt=NULL;
-	if(!yid)
+	struct yahoo_packet *pkt = NULL;
+	if (!yid)
 		return;
 	yd = yid->yd;
@@ -4311,5 +4379,5 @@
 	struct yahoo_packet *pkt;
 
-	if(!yid)
+	if (!yid)
 		return;
 	yd = yid->yd;
@@ -4346,5 +4414,5 @@
 	struct yahoo_packet *pkt = NULL;
 
-	if(!yid)
+	if (!yid)
 		return;
 	yd = yid->yd;
@@ -4363,9 +4431,9 @@
 	struct yahoo_data *yd;
 
-	if(!yid)
+	if (!yid)
 		return;
 	yd = yid->yd;
 
-	struct yahoo_packet* pkt=NULL;
+	struct yahoo_packet* pkt = NULL;
 	pkt= yahoo_packet_new(YAHOO_SERVICE_CONTACT_YMSG13,YAHOO_STATUS_AVAILABLE,0);
 
@@ -4382,9 +4450,9 @@
 	struct yahoo_data *yd;
 
-	if(!yid)
+	if (!yid)
 		return;
 	yd = yid->yd;
 
-	struct yahoo_packet* pkt=NULL;
+	struct yahoo_packet* pkt = NULL;
 	pkt= yahoo_packet_new(YAHOO_SERVICE_CONTACT_YMSG13,YAHOO_STATUS_AVAILABLE,0);
 
@@ -4408,5 +4476,5 @@
 	struct yahoo_packet *pkt;
 
-	if(!yid)
+	if (!yid)
 		return;
 	yd = yid->yd;
@@ -4429,5 +4497,5 @@
 	struct yahoo_packet *pkt;
 
-	if(!yid)
+	if (!yid)
 		return;
 	yd = yid->yd;
@@ -4450,5 +4518,5 @@
 	struct yahoo_packet *pkt;
 
-	if(!yid)
+	if (!yid)
 		return;
 	yd = yid->yd;
@@ -4472,5 +4540,5 @@
 	struct yahoo_packet *pkt = NULL;
 
-	if(!yid)
+	if (!yid)
 		return;
 	yd = yid->yd;
@@ -4499,5 +4567,5 @@
 	struct yahoo_packet *pkt = NULL;
 
-	if(!yid)
+	if (!yid)
 		return;
 	yd = yid->yd;
@@ -4512,5 +4580,5 @@
 }
 
-void yahoo_conference_addinvite(int id, const char * from, const char *who, const char *room, const YList * members, const char *msg)
+void yahoo_conference_addinvite(int id, const char *from, const char *who, const char *room, const YList *members, const char *msg)
 {
 	struct yahoo_input_data *yid = find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
@@ -4518,5 +4586,5 @@
 	struct yahoo_packet *pkt;
 		
-	if(!yid)
+	if (!yid)
 		return;
 	yd = yid->yd;
@@ -4529,5 +4597,5 @@
 	yahoo_packet_hash(pkt, 58, msg);
 	yahoo_packet_hash(pkt, 13, "0");
-	for(; members; members = members->next) {
+	for (; members; members = members->next) {
 		yahoo_packet_hash(pkt, 52, (char *)members->data);
 		yahoo_packet_hash(pkt, 53, (char *)members->data);
@@ -4540,5 +4608,5 @@
 }
 
-void yahoo_conference_invite(int id, const char * from, YList *who, const char *room, const char *msg)
+void yahoo_conference_invite(int id, const char *from, YList *who, const char *room, const char *msg)
 {
 	struct yahoo_input_data *yid = find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
@@ -4546,5 +4614,5 @@
 	struct yahoo_packet *pkt;
 		
-	if(!yid)
+	if (!yid)
 		return;
 	yd = yid->yd;
@@ -4554,5 +4622,5 @@
 	yahoo_packet_hash(pkt, 1, (from?from:yd->user));
 	yahoo_packet_hash(pkt, 50, yd->user);
-	for(; who; who = who->next) {
+	for (; who; who = who->next) {
 		yahoo_packet_hash(pkt, 52, (char *)who->data);
 	}
@@ -4572,5 +4640,5 @@
 	struct yahoo_packet *pkt;
 		
-	if(!yid)
+	if (!yid)
 		return;
 	yd = yid->yd;
@@ -4579,5 +4647,5 @@
 
 	yahoo_packet_hash(pkt, 1, (from?from:yd->user));
-	for(; who; who = who->next) {
+	for (; who; who = who->next) {
 		yahoo_packet_hash(pkt, 3, (char *)who->data);
 	}
@@ -4589,5 +4657,5 @@
 }
 
-void yahoo_conference_decline(int id, const char * from, YList *who, const char *room, const char *msg)
+void yahoo_conference_decline(int id, const char *from, YList *who, const char *room, const char *msg)
 {
 	struct yahoo_input_data *yid = find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
@@ -4595,5 +4663,5 @@
 	struct yahoo_packet *pkt;
 		
-	if(!yid)
+	if (!yid)
 		return;
 	yd = yid->yd;
@@ -4602,5 +4670,5 @@
 
 	yahoo_packet_hash(pkt, 1, (from?from:yd->user));
-	for(; who; who = who->next) {
+	for (; who; who = who->next) {
 		yahoo_packet_hash(pkt, 3, (char *)who->data);
 	}
@@ -4613,5 +4681,5 @@
 }
 
-void yahoo_conference_logoff(int id, const char * from, YList *who, const char *room)
+void yahoo_conference_logoff(int id, const char *from, YList *who, const char *room)
 {
 	struct yahoo_input_data *yid = find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
@@ -4619,5 +4687,5 @@
 	struct yahoo_packet *pkt;
 		
-	if(!yid)
+	if (!yid)
 		return;
 	yd = yid->yd;
@@ -4626,5 +4694,5 @@
 
 	yahoo_packet_hash(pkt, 1, (from?from:yd->user));
-	for(; who; who = who->next) {
+	for (; who; who = who->next) {
 		yahoo_packet_hash(pkt, 3, (char *)who->data);
 	}
@@ -4636,5 +4704,5 @@
 }
 
-void yahoo_conference_message(int id, const char * from, YList *who, const char *room, const char *msg, int utf8)
+void yahoo_conference_message(int id, const char *from, YList *who, const char *room, const char *msg, int utf8)
 {
 	struct yahoo_input_data *yid = find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
@@ -4642,5 +4710,5 @@
 	struct yahoo_packet *pkt;
 		
-	if(!yid)
+	if (!yid)
 		return;
 	yd = yid->yd;
@@ -4649,5 +4717,5 @@
 
 	yahoo_packet_hash(pkt, 1, (from?from:yd->user));
-	for(; who; who = who->next) {
+	for (; who; who = who->next) {
 		yahoo_packet_hash(pkt, 53, (char *)who->data);
 	}
@@ -4655,5 +4723,5 @@
 	yahoo_packet_hash(pkt, 14, msg);
 
-	if(utf8)
+	if (utf8)
 		yahoo_packet_hash(pkt, 97, "1");
 
@@ -4670,5 +4738,5 @@
 	char buff[1024];
 
-	if(!yd)
+	if (!yd)
 		return;
 
@@ -4696,5 +4764,5 @@
 	struct yahoo_packet *pkt;
 		
-	if(!yid)
+	if (!yid)
 		return;
 
@@ -4731,5 +4799,5 @@
 	char buf[2];
 		
-	if(!yid)
+	if (!yid)
 		return;
 
@@ -4745,5 +4813,5 @@
 	yahoo_packet_hash(pkt, 124, buf);
 
-	if(utf8)
+	if (utf8)
 		yahoo_packet_hash(pkt, 97, "1");
 
@@ -4760,5 +4828,5 @@
 	struct yahoo_packet *pkt;
 		
-	if(!yid)
+	if (!yid)
 		return;
 
@@ -4780,5 +4848,5 @@
 	struct yahoo_packet *pkt;
 
-	if( !yid )
+	if ( !yid )
 		return;
 
@@ -4801,5 +4869,5 @@
 	char checksum_str[10];
 
-	if( !yid )
+	if ( !yid )
 		return;
 
@@ -4827,5 +4895,5 @@
 	char type_str[10];
 
-	if( !yid )
+	if ( !yid )
 		return;
 
@@ -4850,5 +4918,5 @@
 	char checksum_str[10];
 
-	if( !yid )
+	if ( !yid )
 		return;
 
@@ -4859,5 +4927,5 @@
 	pkt = yahoo_packet_new(YAHOO_SERVICE_PICTURE_CHECKSUM, YAHOO_STATUS_AVAILABLE, 0);
 	yahoo_packet_hash(pkt, 1, yd->user);
-	if( who != 0 )
+	if ( who != 0 )
 		yahoo_packet_hash(pkt, 5, who);
 	yahoo_packet_hash(pkt, 192, checksum_str);
@@ -4872,5 +4940,5 @@
 	struct yahoo_input_data *yid = find_input_by_id_and_webcam_user(id, who);
 
-	if(yid)
+	if (yid)
 		yahoo_input_close(yid);
 }
@@ -4882,5 +4950,5 @@
 	struct yahoo_packet *pkt;
 		
-	if(!yid)
+	if (!yid)
 		return;
 
@@ -4968,5 +5036,5 @@
 	struct yahoo_packet *pkt;
 		
-	if(!yid)
+	if (!yid)
 		return;
 
@@ -4991,5 +5059,5 @@
 	char *ctext, *p;
 
-	if(!yd)
+	if (!yd)
 		return;
 
@@ -5006,5 +5074,5 @@
 
 	ctext = strdup(text);
-	while((p = strchr(ctext, ' ')))
+	while ((p = strchr(ctext, ' ')))
 		*p = '+';
 
@@ -5027,8 +5095,8 @@
 	struct yahoo_search_state *yss;
 
-	if(!yid)
-		return;
-
-	if(!yid->ys)
+	if (!yid)
+		return;
+
+	if (!yid->ys)
 		yid->ys = y_new0(struct yahoo_search_state, 1);
 
@@ -5051,10 +5119,10 @@
 	struct yahoo_search_state *yss;
 
-	if(!yid || !yid->ys)
+	if (!yid || !yid->ys)
 		return;
 
 	yss = yid->ys;
 
-	if(start == -1)
+	if (start == -1)
 		start = yss->lsearch_nstart + yss->lsearch_nfound;
 
@@ -5078,5 +5146,5 @@
 	unsigned char buff[1024];
 
-	if(fd <= 0) {
+	if (fd <= 0) {
 		sfd->callback(id, fd, error, sfd->user_data);
 		FREE(sfd);
@@ -5097,5 +5165,5 @@
 	write(yid->fd, buff, 4);
 
-	/*	YAHOO_CALLBACK(ext_yahoo_add_handler)(nyd->fd, YAHOO_INPUT_READ); */
+	/*	YAHOO_CALLBACK(ext_yahoo_add_handler) (nyd->fd, YAHOO_INPUT_READ); */
 
 	sfd->callback(id, fd, error, sfd->user_data);
@@ -5103,6 +5171,6 @@
 	inputs = y_list_remove(inputs, yid);
 	/*
-	while(yahoo_tcp_readline(buff, sizeof(buff), nyd->fd) > 0) {
-	if(!strcmp(buff, ""))
+	while (yahoo_tcp_readline(buff, sizeof(buff), nyd->fd) > 0) {
+	if (!strcmp(buff, ""))
 	break;
 }
@@ -5121,10 +5189,10 @@
 	char size_str[10];
 	char expire_str[10];
-	long content_length=0;
+	long content_length = 0;
 	unsigned char buff[1024];
 	char url[255];
 	struct send_file_data *sfd;
 
-	if(!yd)
+	if (!yd)
 		return;
 
@@ -5171,5 +5239,5 @@
 	unsigned char buff[1024];
 
-	if(fd <= 0) {
+	if (fd <= 0) {
 		sfd->callback(id, fd, error, sfd->user_data);
 		FREE(sfd);
@@ -5190,5 +5258,5 @@
 	write(yid->fd, buff, 4);
 
-/*	YAHOO_CALLBACK(ext_yahoo_add_handler)(nyd->fd, YAHOO_INPUT_READ); */
+/*	YAHOO_CALLBACK(ext_yahoo_add_handler) (nyd->fd, YAHOO_INPUT_READ); */
 
 	sfd->callback(id, fd, error, sfd->user_data);
@@ -5196,6 +5264,6 @@
 	inputs = y_list_remove(inputs, yid);
 	/*
-	while(yahoo_tcp_readline(buff, sizeof(buff), nyd->fd) > 0) {
-		if(!strcmp(buff, ""))
+	while (yahoo_tcp_readline(buff, sizeof(buff), nyd->fd) > 0) {
+		if (!strcmp(buff, ""))
 			break;
 	}
@@ -5214,10 +5282,10 @@
 	struct yahoo_packet *pkt = NULL;
 	char size_str[10];
-	long content_length=0;
+	long content_length = 0;
 	unsigned char buff[1024];
 	char url[255];
 	struct send_file_data *sfd;
 
-	if(!yd)
+	if (!yd)
 		return;
 
@@ -5258,45 +5326,45 @@
 {
 	struct yahoo_data *yd = find_conn_by_id(id);
-	if(!yd)
+	if (!yd)
 		return YAHOO_STATUS_OFFLINE;
 	return yd->current_status;
 }
 
-const YList * yahoo_get_buddylist(int id)
+const YList *yahoo_get_buddylist(int id)
 {
 	struct yahoo_data *yd = find_conn_by_id(id);
-	if(!yd)
+	if (!yd)
 		return NULL;
 	return yd->buddies;
 }
 
-const YList * yahoo_get_ignorelist(int id)
+const YList *yahoo_get_ignorelist(int id)
 {
 	struct yahoo_data *yd = find_conn_by_id(id);
-	if(!yd)
+	if (!yd)
 		return NULL;
 	return yd->ignore;
 }
 
-const YList * yahoo_get_identities(int id)
+const YList *yahoo_get_identities(int id)
 {
 	struct yahoo_data *yd = find_conn_by_id(id);
-	if(!yd)
+	if (!yd)
 		return NULL;
 	return yd->identities;
 }
 
-const char * yahoo_get_cookie(int id, const char *which)
+const char *yahoo_get_cookie(int id, const char *which)
 {
 	struct yahoo_data *yd = find_conn_by_id(id);
-	if(!yd)
+	if (!yd)
 		return NULL;
-	if(!strncasecmp(which, "y", 1))
+	if (!strncasecmp(which, "y", 1))
 		return yd->cookie_y;
-	if(!strncasecmp(which, "t", 1))
+	if (!strncasecmp(which, "t", 1))
 		return yd->cookie_t;
-	if(!strncasecmp(which, "c", 1))
+	if (!strncasecmp(which, "c", 1))
 		return yd->cookie_c;
-	if(!strncasecmp(which, "login", 5))
+	if (!strncasecmp(which, "login", 5))
 		return yd->login_cookie;
 	return NULL;
@@ -5307,5 +5375,5 @@
 {
 	struct yahoo_data *yd = find_conn_by_id(id);
-	if(!yd)
+	if (!yd)
 		return;
 
@@ -5313,5 +5381,5 @@
 }
 
-const char * yahoo_get_profile_url( void )
+const char *yahoo_get_profile_url( void )
 {
 	return profile_url;
Index: protocols/yahoo/yahoo2.h
===================================================================
--- protocols/yahoo/yahoo2.h	(revision 56699f009a608ecff3a247a08b3d0105a5e17153)
+++ protocols/yahoo/yahoo2.h	(revision c36f73bd317dd55d7e70275a6425faa4be7bfd8c)
@@ -62,5 +62,4 @@
 /* who always means the buddy you're acting on */
 /* id is the successful value returned by yahoo_init */
-
 
 /* init returns a connection id used to identify the connection hereon */
@@ -88,74 +87,91 @@
  * You should set at least local_host if you intend to use webcams
  */
-int  yahoo_init_with_attributes(const char *username, const char *password, ...);
+	int yahoo_init_with_attributes(const char *username,
+		const char *password, ...);
 
 /* yahoo_init does the same as yahoo_init_with_attributes, assuming defaults
  * for all attributes */
-int  yahoo_init(const char *username, const char *password);
-
-
+	int yahoo_init(const char *username, const char *password);
 
 /* release all resources held by this session */
 /* you need to call yahoo_close for a session only if
  * yahoo_logoff is never called for it (ie, it was never logged in) */
-void yahoo_close(int id);
+	void yahoo_close(int id);
 /* login logs in to the server */
 /* initial is of type enum yahoo_status.  see yahoo2_types.h */
-void yahoo_login(int id, int initial);
-void yahoo_logoff(int id);
+	void yahoo_login(int id, int initial);
+	void yahoo_logoff(int id);
 /* reloads status of all buddies */
-void yahoo_refresh(int id);
+	void yahoo_refresh(int id);
 /* activates/deactivates an identity */
-void yahoo_set_identity_status(int id, const char * identity, int active);
+	void yahoo_set_identity_status(int id, const char *identity,
+		int active);
 /* regets the entire buddy list from the server */
-void yahoo_get_list(int id);
+	void yahoo_get_list(int id);
 /* download buddy contact information from your yahoo addressbook */
-void yahoo_get_yab(int id);
+	void yahoo_get_yab(int id);
 /* add/modify an address book entry.  if yab->dbid is set, it will */
 /* modify that entry else it creates a new entry */
-void yahoo_set_yab(int id, struct yab * yab);
-void yahoo_keepalive(int id);
-void yahoo_chat_keepalive(int id);
+	void yahoo_set_yab(int id, struct yab *yab);
+	void yahoo_keepalive(int id);
+	void yahoo_chat_keepalive(int id);
 
 /* from is the identity you're sending from.  if NULL, the default is used */
 /* utf8 is whether msg is a utf8 string or not. */
-void yahoo_send_im(int id, const char *from, const char *who, const char *msg, int utf8, int picture);
+	void yahoo_send_im(int id, const char *from, const char *who,
+		const char *msg, int utf8, int picture);
+	void yahoo_send_buzz(int id, const char *from, const char *who);
 /* if type is true, send typing notice, else send stopped typing notice */
-void yahoo_send_typing(int id, const char *from, const char *who, int typ);
+	void yahoo_send_typing(int id, const char *from, const char *who,
+		int typ);
 
 /* used to set away/back status. */
 /* away says whether the custom message is an away message or a sig */
-void yahoo_set_away(int id, enum yahoo_status state, const char *msg, int away);
-
-void yahoo_add_buddy(int id, const char *who, const char *group, const char *msg);
-void yahoo_remove_buddy(int id, const char *who, const char *group);
-void yahoo_reject_buddy(int id, const char *who, const char *msg);
-void yahoo_stealth_buddy(int id, const char *who, int unstealth);
+	void yahoo_set_away(int id, enum yahoo_status state, const char *msg,
+		int away);
+
+	void yahoo_add_buddy(int id, const char *who, const char *group,
+		const char *msg);
+	void yahoo_remove_buddy(int id, const char *who, const char *group);
+	void yahoo_confirm_buddy(int id, const char *who, int reject,
+		const char *msg);
+	void yahoo_stealth_buddy(int id, const char *who, int unstealth);
 /* if unignore is true, unignore, else ignore */
-void yahoo_ignore_buddy(int id, const char *who, int unignore);
-void yahoo_change_buddy_group(int id, const char *who, const char *old_group, const char *new_group);
-void yahoo_group_rename(int id, const char *old_group, const char *new_group);
-
-void yahoo_conference_invite(int id, const char * from, YList *who, const char *room, const char *msg);
-void yahoo_conference_addinvite(int id, const char * from, const char *who, const char *room, const YList * members, const char *msg);
-void yahoo_conference_decline(int id, const char * from, YList *who, const char *room, const char *msg);
-void yahoo_conference_message(int id, const char * from, YList *who, const char *room, const char *msg, int utf8);
-void yahoo_conference_logon(int id, const char * from, YList *who, const char *room);
-void yahoo_conference_logoff(int id, const char * from, YList *who, const char *room);
+	void yahoo_ignore_buddy(int id, const char *who, int unignore);
+	void yahoo_change_buddy_group(int id, const char *who,
+		const char *old_group, const char *new_group);
+	void yahoo_group_rename(int id, const char *old_group,
+		const char *new_group);
+
+	void yahoo_conference_invite(int id, const char *from, YList *who,
+		const char *room, const char *msg);
+	void yahoo_conference_addinvite(int id, const char *from,
+		const char *who, const char *room, const YList *members,
+		const char *msg);
+	void yahoo_conference_decline(int id, const char *from, YList *who,
+		const char *room, const char *msg);
+	void yahoo_conference_message(int id, const char *from, YList *who,
+		const char *room, const char *msg, int utf8);
+	void yahoo_conference_logon(int id, const char *from, YList *who,
+		const char *room);
+	void yahoo_conference_logoff(int id, const char *from, YList *who,
+		const char *room);
 
 /* Get a list of chatrooms */
-void yahoo_get_chatrooms(int id,int chatroomid);
+	void yahoo_get_chatrooms(int id, int chatroomid);
 /* join room with specified roomname and roomid */
-void yahoo_chat_logon(int id, const char *from, const char *room, const char *roomid);
+	void yahoo_chat_logon(int id, const char *from, const char *room,
+		const char *roomid);
 /* Send message "msg" to room with specified roomname, msgtype is 1-normal message or 2-/me mesage */
-void yahoo_chat_message(int id, const char *from, const char *room, const char *msg, const int msgtype, const int utf8);
+	void yahoo_chat_message(int id, const char *from, const char *room,
+		const char *msg, const int msgtype, const int utf8);
 /* Log off chat */
-void yahoo_chat_logoff(int id, const char *from);
+	void yahoo_chat_logoff(int id, const char *from);
 
 /* requests a webcam feed */
 /* who is the person who's webcam you would like to view */
 /* if who is null, then you're the broadcaster */
-void yahoo_webcam_get_feed(int id, const char *who);
-void yahoo_webcam_close_feed(int id, const char *who);
+	void yahoo_webcam_get_feed(int id, const char *who);
+	void yahoo_webcam_close_feed(int id, const char *who);
 
 /* sends an image when uploading */
@@ -163,13 +179,14 @@
 /* in bytes. The timestamp is the time in milliseconds since we started the */
 /* webcam. */
-void yahoo_webcam_send_image(int id, unsigned char *image, unsigned int length, unsigned int timestamp);
+	void yahoo_webcam_send_image(int id, unsigned char *image,
+		unsigned int length, unsigned int timestamp);
 
 /* this function should be called if we want to allow a user to watch the */
 /* webcam. Who is the user we want to accept. */
 /* Accept user (accept = 1), decline user (accept = 0) */
-void yahoo_webcam_accept_viewer(int id, const char* who, int accept);
+	void yahoo_webcam_accept_viewer(int id, const char *who, int accept);
 
 /* send an invitation to a user to view your webcam */
-void yahoo_webcam_invite(int id, const char *who);
+	void yahoo_webcam_invite(int id, const char *who);
 
 /* will set up a connection and initiate file transfer.
@@ -177,10 +194,20 @@
  * the file data to
  */
-void yahoo_send_file(int id, const char *who, const char *msg, const char *name, unsigned long size,
+	void yahoo_send_file(int id, const char *who, const char *msg,
+		const char *name, unsigned long size,
 		yahoo_get_fd_callback callback, void *data);
 
+/*
+ * Respond to a file transfer request. Be sure to provide the callback data
+ * since that is your only chance to recognize future callbacks
+ */
+	void yahoo_send_file_transfer_response(int client_id, int response,
+		char *id, void *data);
+
+
 /* send a search request
  */
-void yahoo_search(int id, enum yahoo_search_type t, const char *text, enum yahoo_search_gender g, enum yahoo_search_agerange ar,
+	void yahoo_search(int id, enum yahoo_search_type t, const char *text,
+		enum yahoo_search_gender g, enum yahoo_search_agerange ar,
 		int photo, int yahoo_only);
 
@@ -190,9 +217,5 @@
  * where the above three are passed to ext_yahoo_got_search_result
  */
-void yahoo_search_again(int id, int start);
-
-/* returns a socket fd to a url for downloading a file. */
-void yahoo_get_url_handle(int id, const char *url, 
-		yahoo_get_url_handle_callback callback, void *data);
+	void yahoo_search_again(int id, int start);
 
 /* these should be called when input is available on a fd */
@@ -203,20 +226,20 @@
 
 /* utility functions. these do not hit the server */
-enum yahoo_status yahoo_current_status(int id);
-const YList * yahoo_get_buddylist(int id);
-const YList * yahoo_get_ignorelist(int id);
-const YList * yahoo_get_identities(int id);
+	enum yahoo_status yahoo_current_status(int id);
+	const YList *yahoo_get_buddylist(int id);
+	const YList *yahoo_get_ignorelist(int id);
+	const YList *yahoo_get_identities(int id);
 /* 'which' could be y, t, c or login.  This may change in later versions. */
-const char  * yahoo_get_cookie(int id, const char *which);
+	const char *yahoo_get_cookie(int id, const char *which);
 
 /* returns the url used to get user profiles - you must append the user id */
 /* as of now this is http://profiles.yahoo.com/ */
 /* You'll have to do urlencoding yourself, but see yahoo_httplib.h first */
-const char  * yahoo_get_profile_url( void );
-
-void yahoo_buddyicon_request(int id, const char *who);
-
-void yahoo_accept_buddy_ymsg13(int,const char*,const char*);
-void yahoo_reject_buddy_ymsg13(int,const char*,const char*,const char*);
+	const char *yahoo_get_profile_url(void);
+
+	void yahoo_buddyicon_request(int id, const char *who);
+
+	void yahoo_accept_buddy_ymsg13(int,const char*, const char*);
+	void yahoo_reject_buddy_ymsg13(int,const char*, const char*, const char*);
 
 #include "yahoo_httplib.h"
@@ -225,4 +248,3 @@
 }
 #endif
-
 #endif
